import * as mc from "@minecraft/server"

/**
 * Verifica se o jogador tem um item específico no slot da mão principal.
 * @param {mc.Player} player - O jogador que será verificado.
 * @param {string} itemId - O ID do item a ser verificado.
 * @param {function} onSuccess - Função a ser chamada se o item estiver presente.
 * @param {function} onFailure - Função a ser chamada se o item não estiver presente.
 */
export function checkItemInMainHand(player, itemId) {
    
    if (player.getComponent("equippable")?.getEquipment("Mainhand")?.typeId === itemId) {
        
        return true
    
    
    } else {
        
        return false
    
    
    }
  
  
}
  
export function checkItemInOffHand(player, itemId) {
    
    if (player.getComponent("equippable")?.getEquipment("Offhand")?.typeId === itemId) {
        
        return true
    
    
    } else { return false }
  
  
}
  